Package org.eclipse.mat.ui.internal.query.arguments

# Enum TextEditor.DecoratorType

java.lang.Object
java.lang.Enum<TextEditor.DecoratorType>
org.eclipse.mat.ui.internal.query.arguments.TextEditor.DecoratorType

All Implemented Interfaces:
  `Serializable`, `Comparable<TextEditor.DecoratorType>`, `java.lang.constant.Constable`

Enclosing class:
  TextEditor

public static enum TextEditor.DecoratorType extends Enum<TextEditor.DecoratorType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`OBJECT_ADDRESS`
`PATTERN`
`QUERY`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHelpLink()`
`String`
`getHelpText()`
`Image`
`getImage()`
`String`
`getImageType()`
`static TextEditor.DecoratorType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TextEditor.DecoratorType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PATTERN

public static final TextEditor.DecoratorType PATTERN

### OBJECT_ADDRESS

public static final TextEditor.DecoratorType OBJECT_ADDRESS

### QUERY

public static final TextEditor.DecoratorType QUERY

## Method Details

### values

public static TextEditor.DecoratorType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TextEditor.DecoratorType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getImage

public Image getImage()

### getImageType

public String getImageType()

### getHelpText

public String getHelpText()

### getHelpLink

public String getHelpLink()